Qt 5.6 | Qt Bluetooth | C++ Classes | Alternative

Qt 5.6.2 Reference Documentation

# Alternative Class

(QBluetoothServiceInfo::Alternative)

The Alternative class stores attributes of a Bluetooth Data Element Alternative. More...

Header: | #include <Alternative>
qmake: | QT += bluetooth
Since: | Qt 5.2
Inherits: | QList<QVariant>

- List of all members, including inherited members

## Public Functions

| Alternative()
| Alternative(const QList<QVariant> &list)

- 78 public functions inherited from QList

### Additional Inherited Members

- 3 static public members inherited from QList

## Detailed Description

The Alternative class stores attributes of a Bluetooth Data Element Alternative.

## Member Function Documentation

### Alternative::Alternative()

Constructs a new empty alternative.

### Alternative::Alternative(const QList<QVariant> &list)

Constructs a new alternative that is a copy of list.